package com.vctgo.file.service;

import java.util.List;
import com.vctgo.file.domain.FileAuthGroup;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 文件权限分组Service接口
 *
 * @author caesar
 * @date 2024-01-31
 */
public interface IFileAuthGroupService
{
    /**
     * 查询文件权限分组
     *
     * @param id 文件权限分组主键
     * @return 文件权限分组
     */
    FileAuthGroup selectFileAuthGroupById(Long id);

    /**
     * 查询文件权限分组列表-分页
     *
     * @param fileAuthGroup 文件权限分组
     * @return 文件权限分组集合
     */
    IPage<FileAuthGroup> selectFileAuthGroupPage(FileAuthGroup fileAuthGroup);
    /**
     * 查询文件权限分组列表
     *
     * @param fileAuthGroup 文件权限分组
     * @return 文件权限分组集合
     */
    List<FileAuthGroup> selectFileAuthGroupList(FileAuthGroup fileAuthGroup);

    /**
     * 新增文件权限分组
     *
     * @param fileAuthGroup 文件权限分组
     * @return 结果
     */
    int insertFileAuthGroup(FileAuthGroup fileAuthGroup);

    /**
     * 修改文件权限分组
     *
     * @param fileAuthGroup 文件权限分组
     * @return 结果
     */
    int updateFileAuthGroup(FileAuthGroup fileAuthGroup);

    /**
     * 逻辑删除文件权限分组
     *
     * @param ids
     * @return 结果
     */
    int logicalDeleteFileAuthGroupByIds(Long[] ids);

    /**
     * 批量删除文件权限分组
     *
     * @param ids 需要删除的文件权限分组主键集合
     * @return 结果
     */
    int deleteFileAuthGroupByIds(Long[] ids);

    /**
     * 删除文件权限分组信息
     *
     * @param id 文件权限分组主键
     * @return 结果
     */
    int deleteFileAuthGroupById(Long id);


    /**
     * 查询文件权限分组列表
     *
     * @param groupType 文件权限分组类型
     * @return 文件权限分组集合
     */
    List<FileAuthGroup> getGroupList(String groupType);
}
